SDL_GPUTextureTransferInfo(3type)

NAME
SDL_GPUTextureTransferInfo - A structure specifying parameters related to transferring data to or from a texture.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUTextureTransferInfo
{
    SDL_GPUTransferBuffer *transfer_buffer;  /**< The transfer buffer used in the transfer operation. */
    Uint32 offset;                           /**< The starting byte of the image data in the transfer buffer. */
    Uint32 pixels_per_row;                   /**< The number of pixels from one row to the next. */
    Uint32 rows_per_layer;                   /**< The number of rows from one layer/depth-slice to the next. */
} SDL_GPUTextureTransferInfo;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_UploadToGPUTexture(3), •(3), SDL_DownloadFromGPUTexture(3)